UTIMES(2)

NAME
utimes - set file times

SYNOPSIS
#include <sys/time.h>

utimes(file, tvp)
char *file;
struct timeval tvp[2];

DESCRIPTION
The utimes call sets the “accessed” and “updated” times for file.

If tvp is NULL, the “access” and “updated” times are set to the current time. A process must be the owner of the file or have write permission to use utimes in this manner.

If tvp is not NULL, utimes uses the “access” and “updated” times in that order from the tvp vector to set the corresponding recorded times for file. The caller must be the owner of the file or the super-user to use utimes this way.

RETURN VALUE
Upon successful completion, a value of 0 is returned. Otherwise, a value of -1 is returned and errno is set to indicate the error.

ERRORS
Utime will fail if one or more of the following are true:

[EPERM]
    The pathname contained a character with the high-order bit set.

[ENOENT]
    The pathname was too long.

[ENOENT]
    The named file does not exist.

[ENOTDIR]
    A component of the path prefix is not a directory.

[EACCES]
    A component of the path prefix denies search permission.

[EPERM]
    The process is not super-user and not the owner of the file.

[EACCES]
    The effective user ID is not super-user and not the owner of the file and times is NULL and write access is denied.

[EROFS]
    The file system containing the file is mounted read-only.

[EFAULT]
    File or tvp points outside the process's allocated address space.

[ELOOP]
    Too many symbolic links were encountered in translating the pathname.

[EIO]
    An I/O error occurred while reading from or writing to the file system.

SEE ALSO
stat(2)